/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumStage;
import de.ship.db.tables.TInputDisplayvar;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputDisplayvarRecord extends UpdatableRecordImpl<TInputDisplayvarRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_displayvar.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.fk_formular</code>. foreign
     * key to key_element of referenced form
     */
    public void setFkFormular(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.fk_formular</code>. foreign
     * key to key_element of referenced form
     */
    public Integer getFkFormular() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.fk_variable</code>. foreign
     * key to key_variable of variable to be displayed
     */
    public void setFkVariable(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.fk_variable</code>. foreign
     * key to key_variable of variable to be displayed
     */
    public Integer getFkVariable() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.displayvar_posx</code>. x
     * position if input_layout = 2
     */
    public void setDisplayvarPosx(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.displayvar_posx</code>. x
     * position if input_layout = 2
     */
    public Integer getDisplayvarPosx() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.displayvar_posy</code>. y
     * position if input_layout = 2
     */
    public void setDisplayvarPosy(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.displayvar_posy</code>. y
     * position if input_layout = 2
     */
    public Integer getDisplayvarPosy() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.displayvar_order</code>.
     * order of variable if input_layout = 1
     */
    public void setDisplayvarOrder(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.displayvar_order</code>.
     * order of variable if input_layout = 1
     */
    public Integer getDisplayvarOrder() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.t_input_displayvar.stage</code>. stage of
     * element
     */
    public void setStage(EnumStage value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.t_input_displayvar.stage</code>. stage of
     * element
     */
    public EnumStage getStage() {
        return (EnumStage) get(7);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputDisplayvarRecord
     */
    public TInputDisplayvarRecord() {
        super(TInputDisplayvar.T_INPUT_DISPLAYVAR);
    }

    /**
     * Create a detached, initialised TInputDisplayvarRecord
     */
    public TInputDisplayvarRecord(LocalDateTime lastchange, Integer pk, Integer fkFormular, Integer fkVariable, Integer displayvarPosx, Integer displayvarPosy, Integer displayvarOrder, EnumStage stage) {
        super(TInputDisplayvar.T_INPUT_DISPLAYVAR);

        setLastchange(lastchange);
        setPk(pk);
        setFkFormular(fkFormular);
        setFkVariable(fkVariable);
        setDisplayvarPosx(displayvarPosx);
        setDisplayvarPosy(displayvarPosy);
        setDisplayvarOrder(displayvarOrder);
        setStage(stage);
        resetChangedOnNotNull();
    }
}
